
/**
 * Representacion de un Producto en Sistema de Facturacion
 *
 * @author G. Cherencio
 * @version 1.0
 */
public class Producto {
    
    private int idp;
    private String descr;
    private double precio;
    private int stock = 0;
    
    /**
     * Constructor for objects of class Producto
     */
    public Producto(){
        this(0);
    }
    
    public Producto(int id){
        this(id,"sin nombre");
    }
    
    public Producto(int id, String descrip){
        this(id,descrip,0.0);
    }
    
    public Producto(int id, String descrip, double p){
        this(id,descrip,p,0);
    }
    
    public Producto(int id, String descrip, double p, int s){
        setIdp(id);
        setDescr(descrip);
        setPrecio(p);
        addStock(s);
    }

    //GETTERS
    
    public int getIdp(){
        return idp;
    }
    
    public String getDescr(){
        return descr;
    }
    
    public double getPrecio(){
        return precio;
    }
    
    public int getStock(){
        return stock;
    }
    
    //SETTERS
    
    public void setIdp(int id){
        idp = id;
    }
    
    public void setDescr(String descrip){
        descr = descrip;
    }
    
    public void setPrecio(double p){
        precio = p;
    }
    
    public void addStock(int s){
        stock+=s;
    }
    
}
